
Foreman - Bug #33227

Cannot pass organization name to global registration when generating registration command

08/06/2021 04:53 PM - Eric Helms

Status: New   

Priority: Normal   

Assignee:    

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

See https://github.com/theforeman/forklift/pull/1391#discussion_r674082105 for detailed discussion

I should be able to do the following as referencing organizations by name is pretty common:

curl https://admin:changeme@$HOSTNAME/api/registration_commands -X POST -H 'Content-Type: applicat

ion/json' -d '{\"organization\":\"${ORGANIZATION}\"}'" 

Related issues:

Related to Katello - Feature #33228: Allow generating global registration com... New

History

#1 - 08/06/2021 04:59 PM - Eric Helms

- Related to Feature #33228: Allow generating global registration command via API through the use of Organization label added

#2 - 08/09/2021 01:25 PM - Leos Stejskal

- Triaged changed from No to Yes
